//
//  AudioDevice.h
//  AudioObjects
//
//  Created by Lieven Dekeyser on Sun Jun 01 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreAudio/CoreAudio.h>

@interface AudioDevice : NSObject {
	AudioDeviceID	deviceID;
	NSString		*name;
}

+ (id)deviceWithID:(AudioDeviceID)theID;
- (id)initWithID:(AudioDeviceID)theID;

- (AudioDeviceID)deviceID;
- (NSString*)name;

+ (NSArray*)devices;

+ (AudioDeviceID)defaultInputDeviceID;
+ (AudioDeviceID)defaultOutputDeviceID;
+ (AudioDeviceID)defaultSystemOutputDeviceID;

@end
